Bug 409401 - Review Request: extragear-plasma - Additional plasmoids for KDE
Summary: Review Request: extragear-plasma - Additional plasmoids for KDE
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-03 21:10 UTC by Sebastian Vahl
Modified: 2008-06-16 14:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 14:20:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Marcela Mašláňová 2007-12-05 14:22:44 UTC
Spec file looks ok and in mockbuild I didn't find any problems. But I don't have
rpm for this package and I don't want fight with rawhide now. Could you also
upload rpm for rpmlint check?

Comment 2 Marcela Mašláňová 2007-12-05 15:05:11 UTC
Hm, forget about pushing packages. I built it in koji scratch and there are
broken dependencies :( We have to wait with this package some time.

Comment 3 Gilboa Davara 2007-12-05 16:23:10 UTC
Shouldn't "BuildRequires:  kdelibs4-devel" be "BuildRequires:  kdelibs-devel"?

- Gilboa

Comment 5 Sebastian Vahl 2007-12-07 09:12:00 UTC
(In reply to comment #1)
> Spec file looks ok and in mockbuild I didn't find any problems. But I don't 
have
> rpm for this package and I don't want fight with rawhide now. Could you also
> upload rpm for rpmlint check?

Koji scratch builds are failing here due to a ssl handshake failure. But you 
could use the rpms linked by Kevin for further testing.



Comment 6 Marcela Mašláňová 2007-12-07 09:27:24 UTC
Yes,there are also rpmlint messages, which speak about broken dependencies. Some
more time will be needed than they fix ssl depedencies.

Comment 7 Kevin Kofler 2007-12-08 14:26:56 UTC
Uh, the only rpmlint messages are:
extragear-plasma.i386: W: no-documentation
extragear-plasma.i386: W: incoherent-version-in-changelog 3.96.2-2 
3.96.2-1.fc9

Comment 8 Marcela Mašláňová 2007-12-10 07:38:28 UTC
Ok, I tried it build in koji from srpm from deadbabylone and result is here
http://koji.fedoraproject.org/koji/taskinfo?taskID=285037

Comment 9 Kevin Kofler 2007-12-10 07:46:22 UTC
The libplasma API is still highly unstable (it's exempt from the freeze, so it 
may change up to the release), we currently have kdebase-workspace-3.97.0 in 
Rawhide, so extragear-plasma-3.96.2 won't build. This should resolve itself 
with an update of extragear-plasma. Rex, any extragear-plasma-3.97.0 tarball 
out there?

Comment 10 Kevin Kofler 2007-12-11 15:39:28 UTC
Can you please add:
Obsoletes: kdeaddons
to this package? (Note: only kdeaddons, not kdeaddons-extras. For 
kdeaddons-extras, all that's left in it is the atlantikdesigner and that's 
bound to stay, as atlantik is still there in kdegames3.) There is no single 
replacement for kdeaddons, but I think this is the most appropriate place to 
obsolete it.

Comment 11 Sebastian Vahl 2007-12-11 15:46:58 UTC
(In reply to comment #10)
> Can you please add:
> Obsoletes: kdeaddons
> to this package?

Sure. I'll also upload the version for kde-3.97.0 later the day (when I've 
figured out how to package the language files properly).

Comment 12 Sebastian Vahl 2007-12-11 20:47:59 UTC
(In reply to comment #8)
> Ok, I tried it build in koji from srpm from deadbabylone and result is here
> http://koji.fedoraproject.org/koji/taskinfo?taskID=285037

extragear-plasma-3.97.0 is building fine on all archs.

Updated version:

Spec URL: http://svahl.fedorapeople.org/extragear-plasma/extragear-plasma.spec
SRPM URL: 
http://svahl.fedorapeople.org/extragear-plasma/extragear-plasma-3.97.0-2.fc8.src.rpm

Changelog:
- package language files properly (by RexDieter)
- Obsolete: kdeaddons
- kde 3.97.0
- removed some BRs which are in kdelibs4-devel now
- BR: gettext

Small note about a rpmlint error:
extragear-plasma.src:22: W: unversioned-explicit-obsoletes kdeaddons

This was added because of comment #8. A versioned obsolete is not needed here 
because kdeaddons won't be included in >F9 at all (and doesn't exist upstream 
anymore)

Second note: KDE will release 3.97.0 tomorrow. Until then you could download a 
tarball mirrored by Rex: 
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kde4/extragear/extragear-plasma-3.97.0.tar.bz2
This one is pre-released to packagers by the KDE-Project and should fit 
the "normal" tarball directly from ftp.kde.org



Comment 13 Sebastian Vahl 2007-12-11 20:49:31 UTC
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=288334

Comment 14 Rex Dieter 2007-12-11 21:26:14 UTC
imo, keep the Obsoletes versioned regardless, to be on the safe side.

Comment 15 Sebastian Vahl 2007-12-11 21:46:08 UTC
(In reply to comment #14)
> imo, keep the Obsoletes versioned regardless, to be on the safe side.

So like this one to don't conflict with kde3?
Obsoletes: kdeaddons < 4



Comment 16 Rex Dieter 2007-12-11 22:11:24 UTC
> Obsoletes: kdeaddons < 4

looks good, yeah.

Comment 17 Sebastian Vahl 2007-12-11 22:58:23 UTC
Spec URL: http://svahl.fedorapeople.org/extragear-plasma/extragear-plasma.spec
SRPM URL: 
http://svahl.fedorapeople.org/extragear-plasma/extragear-plasma-3.97.0-3.fc8.src.rpm

Changelog:
- add versioned obsolete kdeaddons

Comment 18 Marcela Mašláňová 2007-12-12 10:00:01 UTC
Ok now.

Comment 19 Sebastian Vahl 2007-12-12 10:12:33 UTC
(In reply to comment #18)
> Ok now.

Thx!

New Package CVS Request
=======================
Package Name: extragear-plasma
Short Description: Additional plasmoids for KDE
Owners: than,rdieter,kkofler,svahl
Branches: 
InitialCC: 
Cvsextras Commits: no



Comment 20 Kevin Fenzi 2007-12-13 19:12:38 UTC
cvs done.

Comment 21 Rex Dieter 2008-01-11 20:37:51 UTC
closing, in rawhide.

Comment 22 Kevin Kofler 2008-06-16 14:20:21 UTC
Reopening to reassign.

Comment 23 Kevin Kofler 2008-06-16 14:20:53 UTC
Please keep review requests assigned to the reviewer, not the submitter.


Note You need to log in before you can comment on or make changes to this bug.